Description

Supportanfrage

wir verwenden in unserem Projekt eine Messtechnik mit ADTF 2.14.

In unserer config verarbeiten wir einen Video Datenstrom einer Kamera.

Dabei empfangen wir den VideoStrom von der Quelle ins teilen ihn auf zwei Image_transform filter auf.

 

Der ersten, obere Ima getransform führt eine RGB wechseln und einen vertikal Flip durch bei 25fps.

Der untere Image_transform _2 führt einen vertikal Flip und eine Reduzierung der Bildrate auf 2-4 fps durch.

Wir beobachten das Phänomen, dass durch die Weiterverarbeitung nach dem Image Transform _2, ebenfalls die Bildrate des ersten,

oberen Image Transform auf 2-4 fps fällt.

Ist so ein Problem bekannt? Wissen Sie eventuell wie das Problem behoben werden kann? Wir können es uns nicht erklären.

Lösung

das ist in der Tat merkwürdig aber ich denke ich habe eine Erklärung dafür:

Der Image Transform verwirft einfach Samples falls die Datenrate zu hoch ist, sollte also den Quellfilter bei diesen Samples nicht

aufhalten.

Bei den Samples die er aber bearbeitet ruft er synchron die nachgeschalteten Filter. Wenn die nachgeschalteten Filter bei ihren

Berechnungen so lange brauchen, dass sich gar nicht mehr als die 2-4 Frames ausgehen, wird auch der Quellfilter (über euren

Inport) ausgebremst und damit dann auch der erste Image Transform.

Könnt ihr testweise mal die Filter am Ausgang des zweiten ImageTransform Filters deaktivieren? Dann sollte das Filter Trace View

die gewünschten Datenraten zeigen.
In ADTF2 gibt es leider keine automatische Möglichkeit hier ein asynchrones Verarbeiten der Daten zu aktivieren. Am besten ihr

nehmt das Beispiel

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_sequencer.html

Wenn Ihr den vor den zweiten Image Transform filter hängt, bearbeitet er die Daten Asynchron. Setzt dazu die Properties

folgendermaßen:

MajorType_List = 256,0,0,0,0

Pin_Count = 1

QueueLength = 0

 Danach Rechtsklick-> Create Pins From Configuration, dann passen die Media Typen und ihr könnt die Verbindung ziehen.

History

#1 - 2020-02-14 10:42 - hidden

- Project changed from Public Support to 16

- Subject changed from Problem mit einer Y Verbindung to Reducing framerate effects all Image Transform Filters

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to PORSCHE

- Affected Products ADTF 2.14.0 added

#4 - 2020-03-03 11:56 - hidden

Hallo Christoph,

hmm, das ist in der Tat merkwürdig aber ich denke ich habe eine Erklärung dafür:

Der Image Transform verwirft einfach Samples falls die Datenrate zu hoch ist, sollte also den Quellfilter bei diesen Samples nicht aufhalten.

Bei den Samples die er aber bearbeitet ruft er synchron die nachgeschalteten Filter. Wenn die nachgeschalteten Filter bei ihren Berechnungen so

lange brauchen, dass sich gar nicht mehr als die 2-4 Frames ausgehen, wird auch der Quellfilter (über euren Inport) ausgebremst und damit dann

auch der erste Image Transform.

Könnt ihr testweise mal die Filter am Ausgang des zweiten ImageTransform Filters deaktivieren? Dann sollte das Filter Trace View die gewünschten

Datenraten zeigen.

In ADTF2 gibt es leider keine automatische Möglichkeit hier ein asynchrones Verarbeiten der Daten zu aktivieren. Am besten ihr nehmt das Beispiel

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_sequencer.html

Wenn Ihr den vor den zweiten Image Transform filter hängt, bearbeitet er die Daten Asynchron. Setzt dazu die Properties folgendermaßen:

MajorType_List = 256,0,0,0,0

Pin_Count = 1

QueueLength = 0

Danach Rechtsklick-> Create Pins From Configuration, dann passen die Media Typen und ihr könnt die Verbindung ziehen.

Grüße,

Martin

#5 - 2020-03-03 13:27 - hidden

- Status changed from In Progress to Customer Feedback Required

#6 - 2020-03-11 11:39 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Workaround Available
#9 - 2020-07-07 16:26 - hidden

- Project changed from 16 to Public Support

- Private changed from Yes to No

#10 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed
